---
include: 'https://gitlab.esss.lu.se/ics-infrastructure/gitlab-ci-yml/raw/master/Molecule.gitlab-ci.yml'

run_molecule:
  tags:
    - $RUNNER_TAG
  parallel:
    matrix:
      - SCENARIO: default
        RUNNER_TAG: molecule
      - SCENARIO: debian
        RUNNER_TAG: molecule
      - SCENARIO: ubuntu
        RUNNER_TAG: ubuntu_2204
      - SCENARIO: ess-linux
        RUNNER_TAG: molecule
  script:
    - molecule test --scenario-name $SCENARIO
